Bug 56428 - MailReaderSampler - should it use mail.pop3s.* properties?
Summary: MailReaderSampler - should it use mail.pop3s.* properties?
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.11
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-18 11:17 UTC by Sebb
Modified: 2014-06-01 12:40 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2014-04-18 11:17:25 UTC
The MailReaderSampler currently sets some properties starting with "mail.pop3s." in order to support certain optional security features.

There are two possible issues with this:
1) AFAICT these are not official properties, so may not be supported in all implementations; they may only apply to the Sun/Oracle implementation

2) the same "mail.pop3s.*" properties are used for both pop3s and imaps - that seems wrong.

==

1) more research is needed to establish whether there is a standard API way to provide these features.

2) Fixing the property names so they agree with the protocol is trivial.
If a generic solution (1) is not found, this would at least be the first step to take.

Not yet tested whether the Oracle IMAPS implementation falls back to using the pop3s properties; that seems very unlikely. I assume the options have never been tested fully with IMAPS.
Comment 1 Sebb 2014-04-19 00:15:39 UTC
2) Experimentation with timeouts shows the property names must agree with the protocol, so always using pop3s is wrong.
Comment 2 Sebb 2014-04-19 00:40:54 UTC
Fixed property names:

URL: http://svn.apache.org/r1588597
Log:
MailReaderSampler - should it use mail.pop3s.* properties?
Bugzilla Id: 56428

Modified:
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/mail/sampler/MailReaderSampler.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2014-06-01 12:40:47 UTC
Closing as seems to be fixed